1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Вступайте в наш Telegram чат: https://t.me/a_parser Нас уже 2200+ и мы растем!
    Скрыть объявление

Ошибка при работе с Google Translate

Тема в разделе "Техническая поддержка", создана пользователем Iura, 14 авг 2022.

  1. Iura

    Iura A-Parser Enterprise License
    A-Parser Enterprise

    Регистрация:
    18 ноя 2012
    Сообщения:
    28
    Симпатии:
    0
    Код:
    Error: SE::Google::Translate Error: Cannot init Parser: Error: Failed to launch the browser process! /home/aparser/dist/nodejs/node_modules/puppeteer/.local-chromium/linux-982053/chrome-linux/chrome: error while loading shared libraries: libgbm.so.1: cannot open shared object file: No such file or directory TROUBLESHOOTING: https://github.com/puppeteer/puppeteer/blob/main/docs/troubleshooting.md at onClose (/home/aparser/dist/nodejs/node_modules/puppeteer/lib/cjs/puppeteer/node/BrowserRunner.js:241:20) at Interface. (/home/aparser/dist/nodejs/node_modules/puppeteer/lib/cjs/puppeteer/node/BrowserRunner.js:231:68) at Interface.emit (node:events:539:35) at Interface.close (node:readline:586:8) at Socket.onend (node:readline:277:10) at Socket.emit (node:events:539:35) at endReadableNT (node:internal/streams/readable:1345:12) at processTicksAndRejections (node:internal/process/task_queues:102:21)
    Раньше работало нормально, видимо в новой версии что-то изменилось и нужно что-то дополнительно ставить на Ubuntu. Дайте пожалуйста ссылку на мануал где указано что нужно дополнительно установить на сервер под управлением ubuntu
     
  2. Support

    Support Administrator
    Команда форума A-Parser Enterprise

    Регистрация:
    16 мар 2012
    Сообщения:
    3.919
    Симпатии:
    1.984
    Это ошибка Puppeteer, которая возникает из-за отсутствия нужных библиотек в ОС для работы Chrome. Прямо в сообщении об ошибке есть ссылка на документацию, в которой есть перечень всех необходимых библиотек - для работы нужно доустановить те, которых не хватает.
    Либо просто переключитесь в парсере переводчика Гугла с Desktop на Mobile
     

Поделиться этой страницей